### Method

# FwupdPlugin Plugin set_config_default

since: 2.0.0

#### Declaration [src]

    void
    fu_plugin_set_config_default (
      FuPlugin* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets the config default value.

Available since: 2.0.0

#### Parameters

`key`

  Type: `const gchar*`

  A settings key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The default value of the key if not found.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.